### File

`src/app/shared/interfaces/interfaces.ts`

### Implements

`ClockInterface`

### Index

###### Properties

- Private _emptyAccessor
- currentTime
- emptyHostBinding

###### Methods

- emptyHostListener
- emptyMethod

###### Inputs

- emptyInput

###### Outputs

- emptyOutput

###### HostBindings

###### HostListeners

###### Accessors

- emptyAccessor

### Constructor

`constructor(h: number, m: number)`
Defined in src/app/shared/interfaces/interfaces.ts:74

Parameters :

Name | Type | Optional
h | `number` | No
m | `number` | No

### Properties

Private _emptyAccessor
Type : `string`
Default value : `''`
Defined in src/app/shared/interfaces/interfaces.ts:74

currentTime
Type : `Date`
Defined in src/app/shared/interfaces/interfaces.ts:62
class property

emptyHostBinding
Type : `string`
Decorators : `@HostBinding('')`
Defined in src/app/shared/interfaces/interfaces.ts:82
class hostBinding

### Methods

emptyHostListener
`emptyHostListener()`
Decorators : `@HostListener('')`
Defined in src/app/shared/interfaces/interfaces.ts:89

class hostListener

Example :

    class hostListener

Returns : `void`

emptyMethod
`emptyMethod(emptyParam: string)`
Defined in src/app/shared/interfaces/interfaces.ts:107

Parameters :

Name | Type | Optional | Description
emptyParam | `string` | No | class method param

Returns : `string`

class method return

### Inputs

emptyInput
Type : `string`
Defined in src/app/shared/interfaces/interfaces.ts:95

### Outputs

emptyOutput
Type : `string`
Defined in src/app/shared/interfaces/interfaces.ts:101
class output

### HostBindings

Type : `string`
Defined in src/app/shared/interfaces/interfaces.ts:82

### HostListeners

`()`
Defined in src/app/shared/interfaces/interfaces.ts:89

class hostListener

Example :

    class hostListener

### Accessors

emptyAccessor
get `emptyAccessor()`
Defined in src/app/shared/interfaces/interfaces.ts:68

class accessor

Example :

    class accessor

set `emptyAccessor(val)`
Defined in src/app/shared/interfaces/interfaces.ts:71

Parameters :

Name | Optional
val | No

Returns : `void`

    import { HostBinding, HostListener, Input, Output } from '@angular/core';

    import { ClockInterface } from './clock.interface';

    /**
     * An interface just for documentation purpose
     * @deprecated This interface is deprecated
     */
    interface LabelledTodo {
        title: string;
        completed: Boolean;
        editing?: Boolean;
        readonly x: number;
    }

    export interface ValueInRes {
        ['__allAnd']: boolean;
        ['__allOr']: boolean;
        [property: string]: any;
    }

    /**
     * A function type interface just for documentation purpose
     * ```typescript
     * let mySearch: SearchFunc;
     * mySearch = function(source: string, subString: string) {
     *     let result = source.search(subString);
     *     if (result == -1) {
     *         return false;
     *     }
     *     else {
     *         return true;
     *     }
     * }
     * ```
     */
    interface SearchFunc {
        /**
         * A function
         * @param {string} source A string
         * @param {string} subString A substring
         */
        (source: string, subString: string): boolean;
    }

    /**
     * A indexable interface just for documentation purpose
     * ```typescript
     * let myArray: StringArray;
     * myArray = ["Bob", "Fred"];
     * ```
     */
    interface StringArray {
        [index: number]: string;
    }

    class Clock implements ClockInterface {
        /**
         * @example
         * class property
         */
        currentTime: Date;

        /**
         * @example
         * class accessor
         */
        get emptyAccessor() {
            return this._emptyAccessor;
        }
        set emptyAccessor(val) {
            this._emptyAccessor = val;
        }
        private _emptyAccessor = '';
        constructor(h: number, m: number) {}

        /**
         * @example
         * class hostBinding
         */
        @HostBinding('')
        emptyHostBinding: string;

        /**
         * @example
         * class hostListener
         */
        @HostListener('')
        emptyHostListener() {}

        /**
         * @example
         * class input
         */
        @Input() public emptyInput: string;

        /**
         * @example
         * class output
         */
        @Output() public emptyOutput: string;

        /**
         * @param emptyParam class method param
         * @returns class method return
         */
        emptyMethod(emptyParam: string) {
            return emptyParam;
        }
    }

    interface IDATA {
        value: [number, string, number[]];
        value2: [string, string, ...boolean[]];
    }

# results matching ""

# No results matching ""